import Foundation
import App

abbrev = 'Larson_TOS'
iconName = 'Larson_TOS'
longName = 'Larson Class'
shipFile = 'Larson_TOS' 
menuGroup = 'TOS Ships'
playerMenuGroup = 'TOS Ships'
SubMenu = 'Federation'
species = App.SPECIES_GALAXY

Foundation.ShipDef.Larson_TOS = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })

Foundation.ShipDef.Larson_TOS.desc = "The USS Larson (NCC-4300) was a Larson-class Federation frigate starship in the 23rd century.\n\nDesigned at the same time as the Nelson class scouts and the Constitution class cruisers, Larson class destroyers shared many of the same physical features of these ships. An efficient ship that served well, it was intended to perform the same tasks as other dual-function vessels, namely both research and defense. Even so, most of the existing Larsons in service were employed by Starfleet's Military Operations Command, with several serving in the Galaxy Exploration Command.\n\nDestroyers such as the Larson frequently were employed on patrol duty along the frontier areas. In time of war or other military emergencies, such destroyers were assigned to escort convoys or used as scouts by squadrons or small fleets. With its array of weapons, the Larson was a fine combat vessel, though not as powerful as a cruiser or larger ship."

if menuGroup:           Foundation.ShipDef.Larson_TOS.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Larson_TOS.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
